﻿@model BaseTopicQuestionAnswerViewModel

<div class="question-answer-item">
    <div class="row my-3">
        @if (Model is UpdateTopicQuestionAnswerViewModel m)
        {
            <input name="QuestionAnswers[@ViewBag.AnswerId].Id" value="@m.Id" hidden />
        }

        <input type="text" name="QuestionAnswers.Index" value="@ViewBag.AnswerId" style="display:none" />
        <label class="radio-button col-md-1">
            <input asp-for="CorrectAnswer" type="checkbox" name="QuestionAnswers[@ViewBag.AnswerId].CorrectAnswer" />
            <span class="checkmark m-3 ms-5"></span>
        </label>
        <div class="form-floating col-md-10">
            <input asp-for="Message" class="form-control" autocomplete="question-name" placeholder="question name" aria-required="true" name="QuestionAnswers[@ViewBag.AnswerId].Message" />
            <label class="ms-2">Answer</label>
        </div>
        <div class="col-md-1 text-end">
            <button type="button" title="Delete" class="btn btn-lg btn-primary remove-answer-button">
                <i class="bi bi-trash-fill p-2 d-flex text-center"></i>
            </button>
        </div>
    </div>

  @*  <input type="text" name="QuestionAnswers.Index" value="@ViewBag.AnswerId" style="display:none"/>
    <input  name="QuestionAnswers[@ViewBag.AnswerId].Message">
    <input  name="QuestionAnswers[@ViewBag.AnswerId].CorrectAnswer"/>
    <button type="button" class="remove-answer-button">Remove</button>*@
</div>

<!-- JavaScript/jQuery code -->
<script>
    $(document).ready(function () {
        // Remove Answer button click event
        $(".remove-answer-button").on("click", function () {
            $(this).closest(".question-answer-item").remove();
        });
    });
</script>